#!/usr/bin/bash
# install_cheix.sh
# created and copyrighted: 20 Aug 11
#
# author: Evsiz (evsiz@this-voice.org)
# The author releases this file under the GNU GPL
# license. See GNU's COPYING file for specifics.
#


# directories ---------------------------
mkdir /cheixusb
mkdir /storage/arcs


# removals ---------------------------
rm -r /usr/man 
rm -r /usr/info


# cheix install files ---------------------------
cp -r /root/install/docs /usr/local/
cp /root/install/ulbin/*  /usr/local/bin/
cp /root/install/rc_scripts/*  /etc/rc.d/
cp /root/install/lynx.cfg /etc/


# perms --------------------------
chmod 1777 /storage
chmod 0755 /usr/local/bin/*
chmod 0755 /etc/rc.d/rc.6
chmod 0755 /etc/rc.d/rc.K
chmod 0755 /etc/rc.d/rc.M
chmod 0755 /etc/rc.d/rc.S
chmod 0755 /etc/rc.d/rc.cheix
chmod 0755 /etc/rc.d/rc.freememd
chmod 4755 /sbin/halt
chmod 4755 /sbin/reboot


# relocations ---------------------------
# /var
mv /var/log/packages /cheixusb
ln -s /cheixusb/packages /var/log/packages 
mv /var/lib/slackpkg /cheixusb
ln -s /cheixusb/slackpkg /var/lib/slackpkg
# /etc 
cd /etc
mkdir /var/etc
touch /var/etc/random-seed
ln -s /var/etc/random-seed random-seed
mv resolv.conf  /var/etc/
ln -s /var/etc/resolv.conf
rm mtab
ln -s /proc/mounts mtab


# user space ---------------------------
cd
/usr/sbin/useradd -m user
echo "
--- Cheix has two accounts, root and user.
--- Enter a password now for user."
/usr/bin/passwd user
rm -r /home/user 
cp -r /root/install/skel /storage/skel
chown -R user.users /storage


# notifications --------------------

