#!/bin/bash
# install_iso.sh
# created and copyrighted: 19 Oct 11
#
# author: Evsiz (evsiz@this-voice.org)
# The author releases this file under the GNU GPL
# license. See GNU's COPYING file for specifics.
#


cd /mnt
TMP=$ROOT
ROOT=/mnt removepkg elvis
ROOT=$TMP
installpkg --root . /chx-pkgs/*.tgz
cd /mnt/usr/bin
rm vi 2</dev/null
ln -s nvi vi
ln -s rho emacs

cd /mnt
cp /cheix-beta-*.tar.bz2 /mnt/storage/chxrt.tar.bz2
tar xjf /mnt/storage/chxrt.tar.bz2
chown -R root.root /mnt/root

cat etc/fstab | awk '{
	if ($0 ~ /\/ /) { sub(/defaults.*$/, "defaults,ro      0   0", $0) }
	if ($0 ~ /\/boot/) { sub(/defaults.*$/, "defaults,ro      0   0", $0) }
	if ($0 ~ /\/storage/) { sub(/defaults.*$/, "defaults         0   0", $0) }
	if ($0 ~ /cdrom/) { next }
	if ($0 ~ /fd0/) { next }
	print > "_tmp"
}'
mv _tmp etc/fstab

echo "/dev/cdrom       /mnt/cdrom       auto        noauto,owner,ro  0   0
/dev/sdc         /mnt/usb         auto        noauto,owner     0   0
/dev/mmcblk0p1   /mnt/memory      auto        noauto,owner     0   0" >> etc/fstab


chroot . root/install/install_cheix.sh
